Bug 234824 - (nv-panel-limit) nv panel setup is firmware-limited
nv panel setup is firmware-limited
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: FutureFeature, Triaged
: 214618 283181 390841 443349 446458 455195 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-02 09:12 EDT by Kim Bisgaard
Modified: 2009-11-24 11:44 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 11:44:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full xserver log (48.38 KB, text/plain)
2007-04-02 09:12 EDT, Kim Bisgaard
no flags Details
Xorg.0.log (30.32 KB, text/plain)
2008-05-19 02:42 EDT, Mike Pope
no flags Details
Xorg.0.log (35.92 KB, text/plain)
2008-05-20 20:40 EDT, Mike Pope
no flags Details
Xorg.0.log from Fedora 10 Beta (37.83 KB, text/plain)
2008-10-09 17:08 EDT, Josh Cogliati
no flags Details
Xorg.0.log from Fedora 10 Preview release (38.89 KB, text/plain)
2008-11-05 11:57 EST, Josh Cogliati
no flags Details
Xorg.0.log from Fedora 10 Preview release for nouveau driver (140.45 KB, text/plain)
2008-11-05 12:01 EST, Josh Cogliati
no flags Details

  None (edit)
Description Kim Bisgaard 2007-04-02 09:12:41 EDT
Description of problem:
X does not choose correct screen resolution. Even though it finds the panel size
to be 1600x1200:
(II) NV(0): Supported Future Video Modes:
(II) NV(0): #0: hsize: 1600  vsize 1200  refresh: 60  vid: 16553
(II) NV(0): #1: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) NV(0): #2: hsize: 1280  vsize 960  refresh: 60  vid: 16513
(II) NV(0): #3: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) NV(0): Supported additional Video Mode:
(II) NV(0): clock: 162.0 MHz   Image Size:  408 x 306 mm
(II) NV(0): h_active: 1600  h_sync: 1664  h_sync_end 1856 h_blank_end 2160
h_border: 0
(II) NV(0): v_active: 1200  v_sync: 1201  v_sync_end 1204 v_blanking: 1250
v_border: 0
(II) NV(0): Ranges: V min: 56  V max: 75 Hz, H min: 30  H max: 81 kHz, PixClock
max 170 MHz
(II) NV(0): Monitor name: SyncMaster

It states:
(II) NV(0): Not using driver mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using driver mode "1600x1200" (exceeds panel dimensions)

Version-Release number of selected component (if applicable):
F7-test3 

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
chooses 1280x1024

Expected results:
1600x1200 screen resolution

Additional info:
Using driver NV, LCD panel (connected with DVI): Samsung SyncMaster 204B
Pieces from Xorg.log:
II) LoadModule: "int10"
(II) Loading /usr/lib64/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
        compiled for 1.2.99.903, module version = 1.0.0
        ABI class: X.Org Video Driver, version 1.2
(II) NV(0): Initializing int10
(II) NV(0): Primary V_BIOS segment is: 0xc000
(--) NV(0): Chipset: "GeForce FX 5200"
(**) NV(0): Depth 24, (--) framebuffer bpp 32
(==) NV(0): RGB weight 888
(==) NV(0): Default visual is TrueColor
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib64/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
        compiled for 1.2.99.903, module version = 0.1.0
        ABI class: X.Org Video Driver, version 1.2
(==) NV(0): Using HW cursor
(--) NV(0): Linear framebuffer at 0xE8000000
(--) NV(0): MMIO registers at 0xF6000000
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module alread ybuilt-in(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module alread ybuilt-in(II) NV(0): I2C bus "DDC"
initialized.
(II) NV(0): Probing for analog device on output A...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for analog device on output B...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for EDID on I2C bus A...
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) NV(0): I2C device "DDC:ddc2" removed.
(--) NV(0): DDC detected a DFP:
(II) NV(0): Manufacturer: SAM  Model: 1ae  Serial#: 1112683056
(II) NV(0): Year: 2006  Week: 47
(II) NV(0): EDID Version: 1.3
(II) NV(0): Digital Display Input
(II) NV(0): Max H-Image Size [cm]: horiz.: 41  vert.: 31
(II) NV(0): Gamma: 2.20
(II) NV(0): DPMS capabilities: Off; RGB/Color Display
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) NV(0): blueX: 0.150 blueY: 0.060   whiteX: 0.313 whiteY: 0.329
(II) NV(0): Supported VESA Video Modes:
(II) NV(0): 720x400@70Hz
(II) NV(0): 640x480@60Hz
(II) NV(0): 640x480@67Hz
(II) NV(0): 640x480@72Hz
(II) NV(0): 640x480@75Hz
(II) NV(0): 800x600@56Hz
(II) NV(0): 800x600@60Hz
(II) NV(0): 800x600@72Hz
(II) NV(0): 800x600@75Hz
(II) NV(0): 832x624@75Hz
(II) NV(0): 1024x768@60Hz
(II) NV(0): 1024x768@70Hz
(II) NV(0): 1024x768@75Hz
(II) NV(0): 1280x1024@75Hz
(II) NV(0): 1152x870@75Hz
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported Future Video Modes:
(II) NV(0): #0: hsize: 1600  vsize 1200  refresh: 60  vid: 16553
(II) NV(0): #1: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) NV(0): #2: hsize: 1280  vsize 960  refresh: 60  vid: 16513
(II) NV(0): #3: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) NV(0): Supported additional Video Mode:
(II) NV(0): clock: 162.0 MHz   Image Size:  408 x 306 mm
(II) NV(0): h_active: 1600  h_sync: 1664  h_sync_end 1856 h_blank_end 2160
h_border: 0
(II) NV(0): v_active: 1200  v_sync: 1201  v_sync_end 1204 v_blanking: 1250
v_border: 0
(II) NV(0): Ranges: V min: 56  V max: 75 Hz, H min: 30  H max: 81 kHz, PixClock
max 170
 MHz
(II) NV(0): Monitor name: SyncMaster
(II) NV(0): Serial No: HS8LB01406
(II) NV(0): EDID (in hex):
(II) NV(0):     00ffffffffffff004c2dae0130325242
(II) NV(0):     2f10010380291f782aee95a3544c9926
(II) NV(0):     0f5054bfef80a94081808140714f0101
(II) NV(0):     010101010101483f403062b0324040c0
(II) NV(0):     130098321100001e000000fd00384b1e
(II) NV(0):     5111000a202020202020000000fc0053
(II) NV(0):     796e634d61737465720a2020000000ff
(II) NV(0):     004853384c4230313430360a2020001d
(II) NV(0): Probing for EDID on I2C bus B...
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) NV(0): I2C device "DDC:ddc2" removed.
(II) NV(0):   ... none found
(--) NV(0): CRTC 0 is currently programmed for DFP
(II) NV(0): Using DFP on CRTC 0
(--) NV(0): Panel size is 1280 x 1024
(II) NV(0): Using EDID range info for horizontal sync
(II) NV(0): Using EDID range info for vertical refresh
(II) NV(0): Printing DDC gathered Modelines:
(II) NV(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync
+vsync
(II) NV(0): Modeline "800x600"   36.00  800 824 896 1024  600 601 603 625 +hsync
+vsync
(II) NV(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync
-vsync
(II) NV(0): Modeline "640x480"   31.50  640 664 704 832  480 489 491 520 -hsync
-vsync
(II) NV(0): Modeline "640x480"   30.24  640 704 768 864  480 483 486 525 -hsync
-vsync
(II) NV(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492 525 -hsync
-vsync
(II) NV(0): Modeline "720x400"   28.32  720 738 846 900  400 412 414 449 -hsync
+vsync
(II) NV(0): Modeline "1280x1024"  135.00  1280 1296 1440 1688  1024 1025 1028
1066 +hsy
nc +vsync
(II) NV(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 800
+hsync +v
sync
(II) NV(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806
-hsync -v
sync
(II) NV(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806
-hsync -v
sync
(II) NV(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 -hsync
-vsync
(II) NV(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync
+vsync
(II) NV(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666 +hsync
+vsync
(II) NV(0): Modeline "1152x864"  108.00  1152 1216 1344 1600  864 865 868 900
+hsync +v
sync
(II) NV(0): Modeline "1600x1200"  161.00  1600 1712 1880 2160  1200 1203 1207
1245 -hsy
nc +vsync
(II) NV(0): Modeline "1280x1024"  109.00  1280 1368 1496 1712  1024 1027 1034
1063 -hsy
nc +vsync
(II) NV(0): Modeline "1280x960"  101.25  1280 1360 1488 1696  960 963 967 996
-hsync +v
sync
(II) NV(0): Modeline "1152x864"  104.00  1152 1224 1344 1536  864 867 871 905
-hsync +v
sync
(II) NV(0): Modeline "1600x1200"  162.00  1600 1664 1856 2160  1200 1201 1204
1250 +hsync +vsync
(II) NV(0): Panel is TMDS
(--) NV(0): VideoRAM: 131072 kBytes
(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) NV(0): Monitor0: Using hsync range of 30.00-81.00 kHz
(II) NV(0): Monitor0: Using vrefresh range of 56.00-75.00 Hz
(II) NV(0): Monitor0: Using maximum pixel clock of 170.00 MHz
(II) NV(0): Clock range:  12.00 to 350.00 MHz
(II) NV(0): Not using default mode "640x350" (vrefresh out of range)
(II) NV(0): Not using default mode "320x175" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x400" (vrefresh out of range)
(II) NV(0): Not using default mode "320x200" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "720x400" (vrefresh out of range)
(II) NV(0): Not using default mode "360x200" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x480" (vrefresh out of range)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "800x600" (vrefresh out of range)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1024x768" (vrefresh out of range)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1280x960" (hsync out of range)
(II) NV(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1280x1024" (hsync out of range)
(II) NV(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) NV(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) NV(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) NV(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) NV(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "416x312" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1152x768" (vrefresh out of range)
(II) NV(0): Not using default mode "576x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1152x864" (vrefresh out of range)
(II) NV(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1152x864" (vrefresh out of range)
(II) NV(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1152x864" (hsync out of range)
(II) NV(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x360" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x360" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x360" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1280x720" (vrefresh out of range)
(II) NV(0): Not using default mode "640x360" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x400" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x400" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x400" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1280x800" (vrefresh out of range)
(II) NV(0): Not using default mode "640x400" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1280x768" (vrefresh out of range)
(II) NV(0): Not using default mode "640x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) NV(0): Not using default mode "680x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) NV(0): Not using default mode "680x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1440x900" (exceeds panel dimensions)
(II) NV(0): Not using default mode "720x450" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1600x1024" (exceeds panel dimensions)
(II) NV(0): Not using default mode "800x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "840x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "840x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "840x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "840x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) NV(0): Not using default mode "840x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1080" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x540" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1080" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x540" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1080" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x540" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1080" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x540" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1080" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x540" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1200" (exceeds panel dimensions)


(II) NV(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1200" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) NV(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) NV(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) NV(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "2048x1536" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "2560x1600" (exceeds panel dimensions)
(II) NV(0): Not using default mode "1280x800" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using driver mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using driver mode "1600x1200" (exceeds panel dimensions)
(II) NV(0): Not using mode "1600x1200" (no mode of this name)
(II) NV(0): Not using mode "1152x768" (no mode of this name)
(--) NV(0): Virtual size is 1280x1024 (pitch 1280)
(**) NV(0): *Driver mode "1280x1024": 135.0 MHz, 80.0 kHz, 75.0 Hz
(II) NV(0): Modeline "1280x1024"  135.00  1280 1296 1440 1688  1024 1025 1028
1066 +hsync +vsync

Pieces from xorg.conf:
Section "Device"
        Identifier  "Videocard0"
        Driver      "nv"
        VendorName  "NVIDIA"
        BoardName   "GeForce FX 5200"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Samsung"
        ModelName    "SyncMaster 204B"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     16
                Modes    "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1600x1200" "1280x1024" "1152x864" "1152x768"
"1024x768" "800x600" "640x480"
        EndSubSection
EndSection
Comment 1 Kim Bisgaard 2007-04-02 09:12:41 EDT
Created attachment 151423 [details]
Full xserver log
Comment 2 Adam Jackson 2007-04-02 12:11:01 EDT
(--) NV(0): Panel size is 1280 x 1024

The nv driver is unable to set digital outputs any larger than the maximum size
reported by the card's firmware.  This really ought to get fixed but atm we
don't know how.
Comment 3 Adam Jackson 2007-04-05 15:55:21 EDT
*** Bug 214618 has been marked as a duplicate of this bug. ***
Comment 4 Adam Jackson 2007-09-24 11:26:10 EDT
*** Bug 283181 has been marked as a duplicate of this bug. ***
Comment 5 Adam Jackson 2008-02-11 17:38:00 EST
*** Bug 390841 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2008-05-13 22:43:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Adam Jackson 2008-05-16 08:37:15 EDT
*** Bug 446458 has been marked as a duplicate of this bug. ***
Comment 8 Adam Jackson 2008-05-16 08:57:42 EDT
rawhide dammit.
Comment 9 Tom Horsley 2008-05-16 18:29:35 EDT
I'm not sure which bits of firmware the "firmware" in the title of this
bug refers to, but I'd just like to make it clear that the system in
bug 446458 is not a laptop, it is a DELL 1920x1200 LCD monitor connected
to the DVI output on the PCI video card (not PCIe).

Also, the nouveau driver acts exactly the same, so I image the setup
code in it was just copied from nv - if nv driver gets fixed, I hope
nouveau picks up the same fix :-).
Comment 10 Mike Pope 2008-05-19 02:42:28 EDT
Created attachment 305906 [details]
Xorg.0.log

Yet another duplicate of this from me.	I am using a Samsung 205BW which does
1680 x 1050 fine with nvidia/closed, but refuses to do anything but 1280 x 1024
with nv and/or nouveau.
Comment 11 Nathaniel Daw 2008-05-19 09:21:04 EDT
The nouveau driver does do the same thing by default, but if you turn on the new
randr support, it uses a new codepath that bypasses the BIOS I think. So try the
nouveau driver with 

 Option      "Randr12" "true"

under Device in xorg.conf. This fixes my Syncmaster 204B.
Comment 12 Tom Horsley 2008-05-20 07:28:49 EDT
Nope, as described in bug 447526 the Randr12 option is an even bigger bust
(at least with my cheap PCI card).
Comment 13 Mike Pope 2008-05-20 20:40:12 EDT
Created attachment 306196 [details]
Xorg.0.log

nouveau is no better for me.  With Randr12 it complains:
  (EE) NOUVEAU(0): 1346: No valid modes.
which is sad because there is certainly a known working modeline in xorg.conf
(full Xorg.0.log attached).  nouveau without Randr12 just believes the bios
like nv.
Comment 14 Adam Jackson 2008-06-19 16:27:14 EDT
*** Bug 443349 has been marked as a duplicate of this bug. ***
Comment 15 Matěj Cepl 2008-07-14 18:36:02 EDT
*** Bug 455195 has been marked as a duplicate of this bug. ***
Comment 16 Adam Jackson 2008-07-21 11:24:45 EDT
*** Bug 452892 has been marked as a duplicate of this bug. ***
Comment 17 Josh Cogliati 2008-10-09 17:08:10 EDT
Created attachment 319939 [details]
Xorg.0.log from Fedora 10 Beta

The bug still exists in the Fedora 10 Beta.
Comment 18 Josh Cogliati 2008-11-05 11:57:50 EST
Created attachment 322608 [details]
Xorg.0.log from Fedora 10 Preview release

Bug still exists in Fedora 10 Preview release with nv driver.
Comment 19 Josh Cogliati 2008-11-05 12:01:06 EST
Created attachment 322609 [details]
Xorg.0.log from Fedora 10 Preview release for nouveau driver

Bug no longer exists in nouveau driver on Fedora 10 Preview release. nv is currently the default driver however.
Comment 20 Brian McMinn 2009-02-15 17:24:44 EST
Looks like this made it out to the Fedora 10 release.  My 1440x900 screen
worked fine in Fedora Core 6 and does not work in Fedora 10.  I can attach
Xorg.0.log files from both Core 6 (which works) and Fedora 10 (which fails)
if that would help.
Comment 21 Ben Skeggs 2009-04-22 20:36:50 EDT
This isn't something that the nv driver is likely to see any time soon (never?).  Nouveau is the default in F11 now, which is able to handle panel setup itself.
Comment 22 Matěj Cepl 2009-11-05 12:11:16 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 23 Adam Jackson 2009-11-24 11:44:25 EST
Closing as per comment #21.  nouveau gets this right.

Note You need to log in before you can comment on or make changes to this bug.